### Method

# Gsk.RoundedRect.init

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_init (
      GskRoundedRect* self,
      const graphene_rect_t* bounds,
      const graphene_size_t* top_left,
      const graphene_size_t* top_right,
      const graphene_size_t* bottom_right,
      const graphene_size_t* bottom_left
    )

#### Description [src]

Initializes the given `GskRoundedRect` with the given values.

This function will implicitly normalize the `GskRoundedRect` before returning.

#### Parameters

`bounds` | `const graphene_rect_t*`
| a `graphene_rect_t` describing the bounds
| Ownership is not transferred to the callee
`top_left` | `const graphene_size_t*`
| the rounding radius of the top left corner
| Ownership is not transferred to the callee
`top_right` | `const graphene_size_t*`
| the rounding radius of the top right corner
| Ownership is not transferred to the callee
`bottom_right` | `const graphene_size_t*`
| the rounding radius of the bottom right corner
| Ownership is not transferred to the callee
`bottom_left` | `const graphene_size_t*`
| the rounding radius of the bottom left corner
| Ownership is not transferred to the callee

#### Return value

Returns: `GskRoundedRect`
the initialized rectangle
Ownership is not transferred to the caller